Index: code/branches/buildsystem3/src/audio/AudioBuffer.h
===================================================================
--- code/branches/buildsystem3/src/audio/AudioBuffer.h	(revision 2663)
+++ code/branches/buildsystem3/src/audio/AudioBuffer.h	(revision 2664)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include <AL/al.h>
+#include <al.h>
 
 namespace orxonox
Index: code/branches/buildsystem3/src/audio/AudioIncludes.h
===================================================================
--- code/branches/buildsystem3/src/audio/AudioIncludes.h	(revision 2663)
+++ code/branches/buildsystem3/src/audio/AudioIncludes.h	(revision 2664)
@@ -39,6 +39,6 @@
 #include <string>
 
-#include <AL/al.h>
-#include <AL/alc.h>
+#include <al.h>
+#include <alc.h>
 #include <AL/alut.h>
 #include <ogg/ogg.h>
Index: code/branches/buildsystem3/src/audio/AudioPrereqs.h
===================================================================
--- code/branches/buildsystem3/src/audio/AudioPrereqs.h	(revision 2663)
+++ code/branches/buildsystem3/src/audio/AudioPrereqs.h	(revision 2664)
@@ -35,10 +35,10 @@
 #define _AudioPrereqs_H__
 
-#include "util/OrxonoxPlatform.h"
+#include "OrxonoxConfig.h"
 
 //-----------------------------------------------------------------------
 // Shared library settings
 //-----------------------------------------------------------------------
-#if (ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32) && !defined( AUDIO_STATIC_BUILD )
+#if defined(ORXONOX_PLATFORM_WINDOWS) && !defined( AUDIO_STATIC_BUILD )
 #  ifdef AUDIO_SHARED_BUILD
 #    define _AudioExport __declspec(dllexport)
@@ -68,14 +68,3 @@
 }
 
-//-----------------------------------------------------------------------
-// Warnings
-//-----------------------------------------------------------------------
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
-
-// set to 4: conversion from 'ogg_int64_t' to 'long', possible loss of data
-#pragma warning (4 : 4244)
-
-#endif
-
-
 #endif /* _AudioPrereqs_H__ */
Index: code/branches/buildsystem3/src/audio/AudioStream.h
===================================================================
--- code/branches/buildsystem3/src/audio/AudioStream.h	(revision 2663)
+++ code/branches/buildsystem3/src/audio/AudioStream.h	(revision 2664)
@@ -34,5 +34,5 @@
 #include <string>
 #include <iostream>
-#include <AL/al.h>
+#include <al.h>
 #include <vorbis/vorbisfile.h>
 #include <vorbis/codec.h>
Index: code/branches/buildsystem3/src/audio/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/audio/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/audio/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,29 @@
-SET ( AUDIO_SRC_FILES
+ #
+ #             ORXONOX - the hottest 3D action shooter ever to exist
+ #                             > www.orxonox.net <
+ #
+ #        This program is free software; you can redistribute it and/or
+ #         modify it under the terms of the GNU General Public License
+ #        as published by the Free Software Foundation; either version 2
+ #            of the License, or (at your option) any later version.
+ #
+ #       This program is distributed in the hope that it will be useful,
+ #        but WITHOUT ANY WARRANTY; without even the implied warranty of
+ #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ #                 GNU General Public License for more details.
+ #
+ #   You should have received a copy of the GNU General Public License along
+ #      with this program; if not, write to the Free Software Foundation,
+ #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ #
+
+SET_SOURCE_FILES(AUDIO_FILES
+  AudioBuffer.h
+  AudioIncludes.h
+  AudioManager.h
+  AudioPrereqs.h
+  AudioSource.h
+  AudioStream.h
+
   AudioBuffer.cc
   AudioManager.cc
@@ -5,12 +31,13 @@
   AudioStream.cc
 )
+#GET_ALL_HEADER_FILES(AUDIO_HDR_FILES)
+#SET(AUDIO_FILES ${AUDIO_SRC_FILES} ${AUDIO_HDR_FILES})
+GENERATE_SOURCE_GROUPS(${AUDIO_FILES})
 
-IF (WIN32)
-  ADD_LIBRARY( audio ${AUDIO_SRC_FILES} )
-ELSE (WIN32)
-  ADD_LIBRARY( audio SHARED ${AUDIO_SRC_FILES} )
-ENDIF (WIN32)
+ADD_COMPILER_FLAGS("-w44244" MSVC)
 
-TARGET_LINK_LIBRARIES( audio
+ADD_LIBRARY(audio SHARED ${AUDIO_FILES})
+SET_TARGET_PROPERTIES(audio PROPERTIES DEFINE_SYMBOL "AUDIO_SHARED_BUILD")
+TARGET_LINK_LIBRARIES(audio
   ${OPENAL_LIBRARY}
   ${ALUT_LIBRARY}
@@ -19,5 +46,6 @@
   ${OGG_LIBRARY}
   core
+  util
 )
 
-
+ORXONOX_INSTALL(audio)
